Ads · Tracking Tags

List conversion events

Returns conversion events.

GEThttps://api.pozy.ai/v1/accounts/{accountId}/tracking-tags/{tagId}/events
Facebook and Instagram, Google Workspace, TikTok, LinkedIn, X and openai and 1 morelistTrackingTagEvents

Guide: Pixels and tracking tags

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
accountIdrequiredstring
tagIdrequiredstring

Query parameters

NameTypeNotes
adAccountIdstring

Example

curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/tracking-tags/697ae8efd24020381023ee99/events" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • platformstring
  • eventsarray of object
    14 child fields
    • idstringrequired
    • namestringrequired
    • typestring
    • siteEventstring

      One of page_view, view_content, add_to_cart, search, initiate_checkout, add_payment_info, purchase.

    • siteEventIdstring
    • statusstring
    • defaultValuenumber
    • currencystring
    • clickWindowDaysinteger
    • viewWindowDaysinteger
    • urlContainsstring
    • alwaysUseDefaultValueboolean
    • primaryboolean
    • countingTypestring

      One of one, every.

200 response
{
  "platform": "instagram",
  "events": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme",
      "type": "string",
      "siteEvent": "page_view",
      "siteEventId": "6a036e72b4645cc9fc4fed0b",
      "status": "active",
      "defaultValue": 12.5,
      "currency": "USD",
      "clickWindowDays": 1,
      "viewWindowDays": 1,
      "urlContains": "https://pozy.ai/media/example-1.jpg",
      "alwaysUseDefaultValue": true,
      "primary": true,
      "countingType": "one"
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Tracking Tags